import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 初始化 不合格原因
export function initReasons() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_不合格原因_查询数据'
    }
  })
}
// 初始化 不合格处理
export function initHandle() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_不合格处理_查询数据'
    }
  })
}
// 初始化 质检尺寸
export function initSize() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_质检尺寸_基础表_查询数据'
    }
  })
}
// 初始化 质检外观
export function initAppearance() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_质检外观_基础表_查询数据'
    }
  })
}
// 初始化 质检形位
export function initPosition() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_质检形位_基础表_查询数据'
    }
  })
}
// 初始化 检测项
export function initTest() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_装配质检_检测项_查询数据'
    }
  })
}
// 查询 检测项明细
export function initTesting(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_装配质检_检测项明细_查询数据',
      param: '检测项流水号=' + num
    }
  })
}
// 增加 检测项
export function addTest(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_装配质检_检测项_增加数据',
      param: '检测项=' + num
    }
  })
}
// 增加 检测项明细
export function addTesting(num, num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_装配质检_检测项明细_增加数据',
      param: '检测项流水号=' + num + '&检测项明细=' + num1 + '&基准值=' + num2 + '&公差=' + num3
    }
  })
}
// 编辑 检测项明细
export function editTesting(num, num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_装配质检_检测项明细_编辑数据',
      param: '检测项明细流水号=' + num + '&检测项明细=' + num1 + '&基准值=' + num2 + '&公差=' + num3
    }
  })
}
// 增加 不合格原因
export function addReasons(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_不合格原因_增加数据',
      param: '不合格原因文本=' + num
    }
  })
}
// 增加 不合格处理
export function addHandle(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_不合格处理_增加数据',
      param: '不合格处理文本=' + num
    }
  })
}
// 增加 质检尺寸
export function addSize(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_质检尺寸_基础表_增加数据',
      param: '质检尺寸=' + num
    }
  })
}
// 增加 质检外观
export function addAppearance(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_质检外观_基础表_增加数据',
      param: '质检外观=' + num
    }
  })
}
// 增加 质检形位
export function addPosition(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_质检形位_基础表_增加数据',
      param: '质检形位=' + num
    }
  })
}
// 删除 检测项
export function deleteTest(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_装配质检_检测项_删除数据',
      param: '检测项流水号=' + num
    }
  })
}
// 删除 检测项明细
export function deleteTesting(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_装配质检_检测项明细_删除数据',
      param: '检测项明细流水号=' + num
    }
  })
}
// 删除 不合格原因
export function deleteReasons(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_不合格原因_删除数据',
      param: '不合格原因=' + num
    }
  })
}
// 删除 不合格处理
export function deleteHandle(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_不合格处理_删除数据',
      param: '不合格处理=' + num
    }
  })
}
// 删除 质检尺寸
export function deleteSize(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_质检尺寸_基础表_删除数据',
      param: '质检尺寸流水号=' + num
    }
  })
}
// 删除 质检外观
export function deleteAppearance(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_质检外观_基础表_删除数据',
      param: '质检外观流水号=' + num
    }
  })
}
// 删除 质检形位
export function deletePosition(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_质检形位_基础表_删除数据',
      param: '质检形位流水号=' + num
    }
  })
}
